- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Default_Thread_Lane_Resources_Manager Class Reference

Simple manager for thread lane resources. More...

`#include <Default_Thread_Lane_Resources_Manager.h>`

Inheritance diagram for TAO_Default_Thread_Lane_Resources_Manager:

[legend]
Collaboration diagram for TAO_Default_Thread_Lane_Resources_Manager:

[legend]
List of all members.

## Accessors
TAO_Thread_Lane_Resources & | lane_resources (void)
TAO_Thread_Lane_Resources & | default_lane_resources (void)
## Public Member Functions
| TAO_Default_Thread_Lane_Resources_Manager (TAO_ORB_Core &orb_core)
| Constructor.
| ~TAO_Default_Thread_Lane_Resources_Manager (void)
| Destructor.
void | finalize (void)
| Finalize resources.
int | open_default_resources ()
| Open default resources.
void | shutdown_reactor (void)
| Shutdown reactor.
virtual void | cleanup_rw_transports (void)
| Shutdown reactor.
int | is_collocated (const TAO_MProfile &mprofile)
| Does mprofile belong to us?
## Protected Attributes
TAO_Thread_Lane_Resources *const | lane_resources_
| Default lane resources.
## Private Member Functions
| TAO_Default_Thread_Lane_Resources_Manager (TAO_Default_Thread_Lane_Resources_Manager const &)
void | operator= (TAO_Default_Thread_Lane_Resources_Manager const &)

## Detailed Description

Simple manager for thread lane resources.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Default_Thread_Lane_Resources_Manager::TAO_Default_Thread_Lane_Resources_Manager | ( | TAO_ORB_Core & | orb_core | ) |

Constructor.

TAO_Default_Thread_Lane_Resources_Manager::~TAO_Default_Thread_Lane_Resources_Manager | ( | void |  | ) |

Destructor.

TAO_Default_Thread_Lane_Resources_Manager::TAO_Default_Thread_Lane_Resources_Manager | ( | TAO_Default_Thread_Lane_Resources_Manager const & |  | ) | `[private]`

## Member Function Documentation

void TAO_Default_Thread_Lane_Resources_Manager::cleanup_rw_transports | ( | void |  | ) | `[virtual]`

Shutdown reactor.

Implements TAO_Thread_Lane_Resources_Manager.

TAO_Thread_Lane_Resources & TAO_Default_Thread_Lane_Resources_Manager::default_lane_resources | ( | void |  | ) | `[virtual]`

Implements TAO_Thread_Lane_Resources_Manager.

void TAO_Default_Thread_Lane_Resources_Manager::finalize | ( | void |  | ) | `[virtual]`

Finalize resources.

Implements TAO_Thread_Lane_Resources_Manager.

int TAO_Default_Thread_Lane_Resources_Manager::is_collocated | ( | const TAO_MProfile & | mprofile | ) | `[virtual]`

Does mprofile belong to us?

Implements TAO_Thread_Lane_Resources_Manager.

TAO_Thread_Lane_Resources & TAO_Default_Thread_Lane_Resources_Manager::lane_resources | ( | void |  | ) | `[virtual]`

Implements TAO_Thread_Lane_Resources_Manager.

int TAO_Default_Thread_Lane_Resources_Manager::open_default_resources | ( |  | ) | `[virtual]`

Open default resources.

Implements TAO_Thread_Lane_Resources_Manager.

void TAO_Default_Thread_Lane_Resources_Manager::operator= | ( | TAO_Default_Thread_Lane_Resources_Manager const & |  | ) | `[private]`

void TAO_Default_Thread_Lane_Resources_Manager::shutdown_reactor | ( | void |  | ) | `[virtual]`

Shutdown reactor.

Implements TAO_Thread_Lane_Resources_Manager.

## Member Data Documentation

TAO_Thread_Lane_Resources* const TAO_Default_Thread_Lane_Resources_Manager::lane_resources_`[protected]`

Default lane resources.

The documentation for this class was generated from the following files:

- Default_Thread_Lane_Resources_Manager.h
- Default_Thread_Lane_Resources_Manager.cpp